Subject: Linking VC++ apps to cygwin-based DLLs
From: "Tomer Zekharya" <[email-masked]>
To: "Cygwin Mailing List (E-mail)" <[email-masked]>
Cc: "Tomer Zekharya" <[email-masked]>
Date: Fri, 23 Jan 2004 00:24:19 +0200

Hi

First I want to state that I'm using Cygwin (and VC++) for less than a week. 

I want to port a certain group of libraries from UNIX to windows. I managed to compile and link it using cygwin, but the Windows applications that needs these libs are MFC based, so I can't compile them in cygwin (at least that's what I understood from searching through the web and through the cygwin mailing list).
I tried doing the opposite: compile the UNIX code to DLLs using cygwin, and trying to link to them in VC++, but I get all kind of errors.  After compiling the DLLs as described in the "Building DLLs" section in the Cygwin manual, I get the following message when linking in VC++: 

warning LNK4078: multiple ".text" sections found with different attributes (E0000020)

And my application crashes on some kind of memory fault. 

Since I'm new to this world of cygwin and VC++, I don't really know if I made a mistake in the cygwin side or the VC++ side. If anyone has successfully compiled MFC based applications linking against cygwin-based DLLs, I'll be more than happy to hear how he/she did it. 

Thanks a lot,

Tomer Z.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/